.. role:: hidden
    :class: hidden-section

My PyTorch Utils
================

Useful util functions.

.. automodule:: encoding.utils
.. currentmodule:: encoding.utils

:hidden:`LR_Scheduler`
~~~~~~~~~~~~~~~~~~~~~~~~~

.. autoclass:: LR_Scheduler
    :members:

:hidden:`get_optimizer`
~~~~~~~~~~~~~~~~~~~~~~~

.. autofunction:: get_optimizer

:hidden:`save_checkpoint`
~~~~~~~~~~~~~~~~~~~~~~~~~

.. autofunction:: save_checkpoint

:hidden:`progress_bar`
~~~~~~~~~~~~~~~~~~~~~~

.. autofunction:: progress_bar
